#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l,m=-1;
    cin>>n>>l;
    vector<int> a(n);
    for (int i=0; i<n; i++)
    {
        cin>>a[i];
        if(a[i]<=l)
            {
                m=i+1;
                break;
            }
    }
        cout<<m;
    return 0;
}